package xn.hxp.http.api;

import androidx.annotation.NonNull;

import com.hjq.http.config.IRequestApi;

import xn.hxp.room.bean.LabInfo;
import xn.hxp.util.Tool;

public class GetReportApi implements IRequestApi {
    @NonNull
    @Override
    public String getApi() {
        return "/api/iot/aio/report";
    }

    private final String deviceNo = Tool.INSTANCE.getSerialNumber();
    private final String code = "aio_chemical";
    private final String version = "100";

    public static final class Bean {
        private boolean needUpgrade;
        private LabInfo labInfo;

        public boolean isNeedUpgrade() {
            return needUpgrade;
        }

        public void setNeedUpgrade(boolean needUpgrade) {
            this.needUpgrade = needUpgrade;
        }

        public LabInfo getLabInfo() {
            return labInfo;
        }

        public void setLabInfo(LabInfo labInfo) {
            this.labInfo = labInfo;
        }


    }

}
